%define deb_name vpn-unlimited_2.8.0_amd64.deb
%define libstuff %{_usr}/lib 

Summary: VPN Unlimited
Name: vpn-unlimited
Version: 2.8.0
Release: %mkrel 1
License: Commercial
Group: Networking/WWW
URL: https://www.vpnunlimitedapp.com/
Source0: http://apt.simplexsolutionsinc.com/repository/pool/main/v/vpn-unlimited/vpn-unlimited_2.4.0_amd64.deb
Source1: vpn-unlimited-daemon
Vendor: VPN Unlimited
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: x86_64
Requires: openvpn
Requires: iproute2
Requires: dpkg
Requires: %{_lib}jsoncpp0
Requires: curl
Requires: openssl
Requires: lib64cares2
Conflicts: vpn-unlimited < 2.8.0-1

%description
VPN Unlimited is a high-quality cross-platform VPN service with no limits
 on traffic bandwidth and connection speed. The service offers a unified
 pricing matrix for all platforms, so you can use a single account and pay
 only once for using the VPN Unlimited apps on your - iOS device, Mac OS X,
 MS Windows and Linux computers.
 
 VPN Unlimited offers a 10 day free trial then you have to pay for a
 subscription.

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot

mkdir %buildroot

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_name} data.tar.gz | gunzip | tar x -C %buildroot

#replace the start script with our compatible version
install -m 0755 %SOURCE1 %buildroot/%{_sysconfdir}/init.d/vpn-unlimited-daemon

#remove devel libs
rm -rf %buildroot/%libstuff/*.so

%clean
rm -rf %buildroot

%preun
%_preun_service vpn-unlimited-daemon

%post
%_post_service vpn-unlimited-daemon

%posttrans
service vpn-unlimited-daemon start


%files
%defattr(-,root,root)
%{_sysconfdir}/init.d/vpn-unlimited-daemon
%{_bindir}/vpn-unlimited
%{_bindir}/vpn-unlimited-daemon
%libstuff/libvpnu_enc.so.1
%libstuff/libvpnu_enc.so.1.0
%libstuff/libvpnu_enc.so.1.0.0
%libstuff/libvpnu_rpc.so.1
%libstuff/libvpnu_rpc.so.1.0
%libstuff/libvpnu_rpc.so.1.0.0
%libstuff/libvpnu_wrapper.so.1
%libstuff/libvpnu_wrapper.so.1.0
%libstuff/libvpnu_wrapper.so.1.0.0
%{_sbindir}/vpnu_openvpn
%{_sbindir}/vpnu_update-resolv-conf
%{_datadir}/applications/vpn-unlimited.desktop
%{_datadir}/doc/vpn-unlimited/changelog.gz
%{_datadir}/doc/vpn-unlimited/copyright
%{_datadir}/icons/hicolor/128x128/apps/vpn-unlimited.png
%{_datadir}/icons/hicolor/16x16/apps/vpn-unlimited.png
%{_datadir}/icons/hicolor/24x24/apps/vpn-unlimited.png
%{_datadir}/icons/hicolor/256x256/apps/vpn-unlimited.png
%{_datadir}/icons/hicolor/32x32/apps/vpn-unlimited.png
%{_datadir}/icons/hicolor/48x48/apps/vpn-unlimited.png
%{_datadir}/icons/hicolor/64x64/apps/vpn-unlimited.png
%{_datadir}/icons/hicolor/72x72/apps/vpn-unlimited.png
%{_datadir}/icons/hicolor/96x96/apps/vpn-unlimited.png
%{_datadir}/pixmaps/vpn-unlimited.png
%{_datadir}/vpn-unlimited/KeepSolid.pem

%changelog
* Wed Jun 10 2015 bb <bb> 2.8.0-1pclos2015
- update

* Sun May 31 2015 bb <bb> 2.4.0-3pclos2015
- add curl and openssl as dependencies

* Fri May 29 2015 bb <bb> 2.4.0-2pclos2015
- fix daemon to start after network up but before
- dm starts

* Tue May 26 2015 bb <bb> 2.4.0-1pclos2015
- create package
